package com.yeejoin.amos.fas.business.dao.mapper;

import java.util.List;
import java.util.Map;
import java.util.Set;

import com.yeejoin.amos.fas.dao.dto.EquipmentDTO;
import org.apache.ibatis.annotations.Param;

public interface ImpEquipMapper extends BaseMapper {


    String queryProtectObjNames(@Param("fireEquipmentId") Long fireEquipmentId);

    List<Map> getEquipPage(@Param("name") String name,
            @Param("id") String id,
            @Param("offset") long offset,
            @Param("pageSize") Integer pageSize);
    
    Long getEquipPageCount(@Param("name") String name, @Param("id") String id);

    Long reservePageCount();

    List<EquipmentDTO> reservePage(@Param("start") long start,@Param("length")  int length);

    Set<String> getAllCode();
}
